fuss-manager - Segnalazione #821

Sistemazione gestione host e group vars
05/30/2019 01:42 PM - Elena Grandi

Status: Chiuso Start date: 05/30/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.99 feature future

Resolution:

Description

Il backend di gestione dell'inventario ansible non salva host e group vars, bisogna sistemarlo perché lo faccia

Associated revisions

Revision 600a0c98 - 06/17/2019 11:38 AM - Elena Grandi

Save variables in host_vars. refs: #821

Revision 4ecf35f0 - 06/17/2019 02:42 PM - Elena Grandi

Load host vars. refs: #821

Revision 822b0637 - 06/17/2019 02:48 PM - Elena Grandi

Use _cycle_hosts when saving vars. refs: #821

Revision a090238f - 06/18/2019 10:50 AM - Elena Grandi

Remove host variables from the saved inventory. refs: #821

Revision 03f792f1 - 06/28/2019 02:11 PM - Enrico Zini
flake8 fixes. refs: #821

Revision 0dc0f635 - 06/28/2019 02:12 PM - Enrico Zini
Sync with master. refs: #821

Revision 64662570 - 06/28/2019 02:12 PM - Enrico Zini
Merged t821. Closes: #821

Revision 5db2c222 - 07/02/2019 12:07 PM - Elena Grandi

Load all store data in one method. refs: #821

Revision 4dcdf8a9 - 07/03/2019 12:12 PM - Elena Grandi
Improve testing of the AnsibleStore and fix bugs. refs: #821

Revision 6d27051a - 07/03/2019 02:46 PM - Elena Grandi

Save host vars in the MachineStore. refs: #821

Revision 4220d7e8 - 07/03/2019 02:53 PM - Elena Grandi

Add an empty inventory to the ops tests to prevent breakage. refs: #821

Revision 06452bca - 07/04/2019 10:18 AM - Elena Grandi
Check that variables are correctly saved with the inventory. refs: #821

Revision 580ea1f6 - 07/04/2019 10:27 AM - Elena Grandi

Add host_vars to the Ansiblelnventory to save them. refs: #821

Revision ac588e8a - 07/04/2019 11:03 AM - Elena Grandi

Additional tests for variable saving. refs: #821

Revision 8310bdb7 - 07/04/2019 11:25 AM - Elena Grandi
Add --- to the top of variable files. refs: #821

Revision 1ae39da9 - 07/04/2019 11:39 AM - Elena Grandi

Test loading of multiple variable files. refs: #821

Revision 5facfd67 - 07/04/2019 12:43 PM - Elena Grandi

Instantiate Machine parameters at init time. refs: #821

Revision 65327b5b - 07/08/2019 04:19 PM - Enrico Zini
Sync with master. refs: #821

Revision b3c4c207 - 07/08/2019 04:19 PM - Enrico Zini
Merged t821. Closes: #821

History

#1 - 06/18/2019 10:55 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Enrico Zini

Nel branch t821 ho implementato il salvataggio delle host vars; che io sappia le group vars non servono ancora, quindi sto aspettando (nel caso &
facile poi aggiungerle).

Riassegno per review, attenzione che il branch rompe la compatibilita con jessie.

#2 - 06/28/2019 02:12 PM - Enrico Zini

- Status changed from Commenti to Chiuso
Fatto merge in master.

#3 - 07/02/2019 11:08 AM - Elena Grandi

- Status changed from Chiuso to In elaborazione

- Assignee changed from Enrico Zini to Elena Grandi

Mi sono accorta che mancava anche la gestione delle host_vars nello store, mi ci rimetto a lavorare.
#4 - 07/04/2019 12:46 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Enrico Zini

Sistemato il caricamento delle variabili nello store (e relativi bug che si sono manifestati), ripasso per review e merge.
(il caricamento delle group_vars nello store diventa un po' pit complicato, invece, per cui lascerei sospeso fino a che non serva)

#5 - 07/08/2019 04:20 PM - Anonymous
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

Applicata nel changeset fuss-manager|b3c4c207d6b900d7debb8ff94704ae8164759a50.

#6 - 07/08/2019 04:20 PM - Enrico Zini

- Status changed from Risolto to Chiuso

Ok, ho fatto merge in master.

Direi di chiudere questo ticket ed eventualmente aprirne uno sulle group vars se/quando serve.
